package com.yida.data.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.common.core.entity.system.EduArea;
import com.yida.data.system.vo.CascadeAreaVO;

import java.util.List;

public interface EduAreaService extends IService<EduArea> {
    EduArea saveArea(EduArea area);

    void deleteArea(Long areaId);

    List<EduArea> findAreaTreeOrList(Long parentId, Integer isOnlyNext, Integer isTree);

    List<EduArea> findAllChild(List<Long> areaId, Boolean includeChild);

    EduArea getInfo(Long areaId);

    EduArea getInfoByName(String name, Long parentId);

    /**
     * 根据id查询完整区域信息串
     */
    String getFullAreaNameById(Long areaId);

    List<Long> findAreaParentId(Long areaId);

    CascadeAreaVO findAllAreaInfo(Long areaId);
}
